Movable Type用PostTweetプラグイン v1.1.7.1 の導入と認証エラー

M logic さんの Movable Type用PostTweetプラグイン v1.1.7.1 を導入しました。

http://labs.m-logic.jp/cat2/posttweet/


導入方法はマニュアルにある通りです。

この plugin の認証の際に、下記のような表示が出て、Twitter の認証がうまくかないことがあります。

--------
エラーが発生しました このページに対するリクエスト・トークンがありません。アプリケーションがTwitterアカウントを使用するかどうかを確認するために必要な特殊キーです。送信したサイトまたはアプリケーションに戻って再度お試しください。何らかの手違いがあったかもしれません。
--------


まずその前に、通常 MT ではプラグインをインストールすると、mt-upgrade.cgi が働いてアップグレードされますが、そのパーミションが間違っていると、upgrade が働かず、500 errar が表示されることがあります。そのような場合は、パーミッションを 744 なりにしてみてください(xserver の場合)。パーミッションはサーバーにより異なるので、うまくいかない時は幾つか変えてみてください。
また安全上、抜いている場合は、鯖に再アップロードしてください。


さて、Twitter との認証ですが、
1、Twitter にログインしたままだと認証がうまくいかないことがあります。このような場合は、一度 Twitter からログオフしてください。認証で plugin から twitter に飛びますが、その際にログインするとうまくいきました。

2、また、template を変えている場合は認証しないことがありますので、マニュアルに従って tmplate を変更してください。

3、幾つかのブログをぶら下げていて、そのブログにそれぞれ導入する場合は、都度、新しい認証コードを入れないとなりません。この時も Twitter にログインしたままだと認証がうまくいかないことがありますので、上記 1 のように行ってください。


Copyright , © Movable type, ALL right reserved